Needed help to upgrade my version of blocs


#1

Hi, I have a version of blocs purchased in January 2016. I no longer use the email address associated with the one I used for the UI store. I wanted to reset my password with another email address so that I can update my blocs version. Thanks kn